# Diagnostics library test faults
# These faults do not represent real robot faults or reactions
# Highly Confidential and Proprietary Zoox Information. Copyright (c) Zoox.

component: 'BMU'
source_enum: kEmuBMU
namespace: zoox::bmu
can_messages:
  - status_msg: BMU_alertStatus
    log_msg: BMU_alertLog
can_import: firmware/common/can/generated/vh6/vh6a/bmu.h
can_namespace: vh6a
faults:
  - id: 0
    name: CaliperNwFault
    severity: ERROR
    description: Emergency parking brake caliper fault (NW), caused by Harness issue, device
      disconnected, or defective BMU.
    troubleshooting_steps: Inspect harness, forward CAN logs to Firmware support.
  - id: 1
    name: CaliperNeFault
    severity: ERROR
    description: Emergency parking brake caliper fault (NE), caused by Harness issue, device
      disconnected, or defective BMU.
    troubleshooting_steps: Inspect harness, forward CAN logs to Firmware support.
  - id: 2
    name: CaliperSeFault
    severity: ERROR
    description: Emergency parking brake caliper fault (SE), caused by Harness issue, device
      disconnected, or defective BMU.
    troubleshooting_steps: Inspect harness, forward CAN logs to Firmware support.
  - id: 3
    name: CaliperSwFault
    severity: ERROR
    description: Emergency parking brake caliper fault (SW), caused by Harness issue, device
      disconnected, or defective BMU.
    troubleshooting_steps: Inspect harness, forward CAN logs to Firmware support.
  - id: 4
    name: EmuBmuControlStale
    severity: ERROR
    description: EMU to BMU heartbeat message stale, caused by Harness issue, device disconnected,
      or defective EMU.
    troubleshooting_steps: Inspect harness, forward CAN logs to Firmware support.
  - id: 5
    name: Epas1RequestStale
    severity: ERROR
    description: Electronic power steering 1 request stale (north), caused by Harness issue, device
      disconnected, or defective EMU.
    troubleshooting_steps: Inspect harness, forward CAN logs to Firmware support.
  - id: 6
    name: Epas2RequestStale
    severity: ERROR
    description: Electronic power steering 2 request stale (south), caused by Harness issue, device
      disconnected or defective EMU.
    troubleshooting_steps: Inspect harness, forward CAN logs to Firmware support.
  - id: 7
    name: EspBrakeCmdStale
    severity: ERROR
    description: Electronic stability program (hydraulic brakes) request stale, caused by Harness
      issue, or defective EMU.
    troubleshooting_steps: Inspect harness, forward CAN logs to Firmware support.
  - id: 8
    name: Reserved
    severity: INFO
    description: Reserved.
    troubleshooting_steps: None.
  - id: 9
    name: UnexpectedMotionFault
    severity: ERROR
    description: Vehicle motion detected while in Backup Control STANDBY state, caused by EPBs not
      fully clamped, or detecting wheel speeds when vehicle should be stationary.
    troubleshooting_steps: Forward CAN logs to Firmware support.
  - id: 10
    name: AppEarlyInitFailure
    severity: ERROR
    description: BMU internal bootup fault, casued by Unknown.
    troubleshooting_steps: Forward CAN logs to Firmware support.
  - id: 11
    name: AppInitFailure
    severity: ERROR
    description: BMU internal initialization fault, caused by Unknown.
    troubleshooting_steps: Forward CAN logs to Firmware support.
  - id: 12
    name: EmuCanBusError
    severity: ERROR
    description: Internal CAN bus fault, caused by Harness issue or defective BMU.
    troubleshooting_steps: Inspect harness, forward CAN logs to Firmware support, possibly replace BMU.
  - id: 13
    name: EmuCanTxError
    severity: ERROR
    description: CAN transmit error, caused by Excessive bus load, harness issue, or
      defective BMU.
    troubleshooting_steps: Inspect harness, forward CAN logs to Firmware support.
  - id: 14
    name: EmuCanRxError
    severity: ERROR
    description: CAN receive error, caused by Excessive bus load, harness issue, or
      defective BMU.
    troubleshooting_steps: Inspect harness, forward CAN logs to Firmware support.
  - id: 15
    name: DrCan3BusError
    severity: ERROR
    description: Internal CAN bus fault, caused by Harness issue or defective BMU.
    troubleshooting_steps: Inspect harness, forward CAN logs to Firmware support, possibly replace BMU.
  - id: 16
    name: DrCan3TxError
    severity: ERROR
    description: CAN transmit error, caused by Excessive bus load, harness issue, or
      defective BMU.
    troubleshooting_steps: Inspect harness, forward CAN logs to Firmware support.
  - id: 17
    name: DrCan3RxError
    severity: ERROR
    description: CAN receive error, caused by Excessive bus load, harness issue, or
      defective BMU.
    troubleshooting_steps: Inspect harness, forward CAN logs to Firmware support.
  - id: 18
    name: BdyCan2BusError
    severity: ERROR
    description: Internal CAN bus fault, caused by Harness issue or defective BMU.
    troubleshooting_steps: Inspect harness, forward CAN logs to Firmware support, possibly replace BMU.
  - id: 19
    name: BdyCan2TxError
    severity: ERROR
    description: CAN transmit error, caused by Excessive bus load, harness issue, or
      defective BMU.
    troubleshooting_steps: Inspect harness, forward CAN logs to Firmware support.
  - id: 20
    name: BdyCan2RxError
    severity: ERROR
    description: CAN receive error, caused by Excessive bus load, harness issue, or
      defective BMU.
    troubleshooting_steps: Inspect harness, forward CAN logs to Firmware support.
